package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxMsgConfig;

import java.util.List;

public interface WxMsgConfigService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMsgConfig> listAsPage(WxMsgConfig record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMsgConfig getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMsgConfig record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    WxMsgConfig findObject(WxMsgConfig wxMsgConfig);

}
